import { Partial } from '../..';
import { OptionalThemeAttributes } from '../util';
import { AlertPaletteItemAttributes } from './alert';
import { BadgePaletteItemAttributes } from './badge';
import { BreadcrumbPaletteItemAttributes } from './breadcrumb';
import { ButtonPaletteItemAttributes } from './button';
import { CheckboxPaletteItemAttributes } from './checkbox';
import { FormPaletteItemAttributes } from './form';
import { RadioPaletteItemAttributes } from './radio';
import { SwitchPaletteItemAttributes } from './switch';
interface DefaultPaletteItemAttributes {
    main: string;
    background: string;
    font: string;
    shadow: string;
    dark: string;
    darker: string;
    darkest: string;
    light: string;
    lighter: string;
    lightest: string;
    dynamic: string;
    dynamicer: string;
    dynamicest: string;
    soft: string;
    softFont: string;
    softDynamic: string;
    softDynamicer: string;
    softDynamicest: string;
    waveEffect: string;
    alert?: AlertPaletteItemAttributes;
    badge?: BadgePaletteItemAttributes;
    breadcrumb?: BreadcrumbPaletteItemAttributes;
    button?: ButtonPaletteItemAttributes;
    checkbox?: CheckboxPaletteItemAttributes;
    form?: FormPaletteItemAttributes;
    radio?: RadioPaletteItemAttributes;
    switch?: SwitchPaletteItemAttributes;
    input?: {
        background?: string;
        border?: string;
        font?: string;
        focused?: {
            background?: string;
            border?: string;
            font?: string;
        };
        placeholder?: {
            font?: string;
        };
    };
    table?: {
        odd?: {
            background?: string;
            border?: string;
            font?: string;
            hover?: {
                background?: string;
            };
        };
        even?: {
            background?: string;
            border?: string;
            font?: string;
            hover?: {
                background?: string;
            };
        };
    };
}
export declare type PaletteItem = DefaultPaletteItemAttributes & OptionalThemeAttributes;
export declare type InputPaletteItem = string | Partial<PaletteItem>;
interface PaletteAttributes<T> {
    primary?: T;
    secondary?: T;
    success?: T;
    danger?: T;
    warning?: T;
    info?: T;
    light?: T;
    dark?: T;
    dynamic?: T;
    '!dynamic'?: T;
    [key: string]: T;
}
export declare type InputPalette = PaletteAttributes<InputPaletteItem>;
declare type Palette = PaletteAttributes<PaletteItem>;
export default Palette;
